<?php
defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

class AdminTools_maintain extends PluginMaintain
{
  private $installed = false;
  
  private $default_conf = array(
    'default_open' => true,
    'closed_position' => 'left',
    'public_quick_edit' => true,
    );

  function install($plugin_version, &$errors=array())
  {
    global $conf;

    if (empty($conf['AdminTools']))
    {
      $conf['AdminTools'] = serialize($this->default_conf);
      conf_update_param('AdminTools', $conf['AdminTools']);
    }

    $this->installed = true;
  }

  function activate($plugin_version, &$errors=array())
  {
    if (!$this->installed)
    {
      $this->install($plugin_version, $errors);
    }
  }

  function deactivate()
  {
  }

  function uninstall()
  {
    conf_delete_param('AdminTools');
  }
}
